Skip to main content
Memory Stores

Get a memory store

GET /api/v1/cloud/memory_stores/{memory_store_id} Returns a single Memory Store object.

Headers

HeaderRequiredDescription
AuthorizationYesBearer <PAT or SAT>

Path parameters

ParameterTypeRequiredDescription
memory_store_idstringYesMemory Store ID with the memstore_ prefix

Example request

curl -X GET "https://api.qoder.com.cn/api/v1/cloud/memory_stores/memstore_019e3bb8d50674d9b082b73709c29c87" \
  -H "Authorization: Bearer $QODER_ACCESS_TOKEN"

Example response

HTTP 200 OK
{
  "id": "memstore_019e3bb8d50674d9b082b73709c29c87",
  "created_at": "2026-05-18T15:33:49.449Z",
  "name": "doc-test-store",
  "type": "memory_store",
  "updated_at": "2026-05-18T15:33:49.449Z",
  "archived_at": null,
  "description": "Test store",
  "metadata": {},
  "status": "active",
  "entry_count": 0,
  "total_size": 0
}

Error codes

HTTPtypeTrigger
401authentication_errorMissing or invalid authentication token
404not_found_errorNo Memory Store exists with the specified ID
For the complete error envelope, see Errors.